package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.ValvePit;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ValvePitService extends IService<ValvePit> {

    boolean saveValvePit(List<MultipartFile> fileList, ValvePit valvePit);

    boolean singleFilePartUpload(MultipartFile filePart, Integer partIndex, Integer partNum, String fileName, String fileUid);

    boolean removeValvePitByIds(String ids);

}
